Skip to content

Apply Legal hold (Object)

POST
/api/v1/storage/buckets/{bucket_name}/legalhold/object/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/legalhold/object/?object_name=<OBJECT_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&version_id=<VERSION_ID>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"object_name": "object_name",
"version_id": "25273eed-1234-4bd2-96a1-a43a3aa44e43"
}'

This API allows users to apply legal hold to an object.

bucket_name
required
string

Bucket Name

object_name
required
string

Object Name with Directory.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

version_id
required
string

Example

740d0a130b0745ebb036bb866c87f847

Version ID

Media typeapplication/json
object
object_name
string

Example

object_name
version_id
string

Example

25273eed-1234-4bd2-96a1-a43a3aa44e43

Response indicating the legal hold status of the object or bucket

Media typeapplication/json
object
code
integer
data
object
legal_hold_status
required
boolean
errors
object
message
string

Example

{
"code": 200,
"data": {
"legal_hold_status": true
},
"errors": {},
"message": "Success"
}